part of 'create_assistant_bloc.dart';

sealed class CreateAssistantState extends Equatable {
  const CreateAssistantState();

  @override
  List<Object> get props => [];
}

final class CreateAssistantInitial extends CreateAssistantState {}

final class CreateAssistantLoading extends CreateAssistantState {}

final class CreateAssistantSuccess extends CreateAssistantState {
  final bool isEdit;

  const CreateAssistantSuccess({required this.isEdit});
}

final class CreateAssistantFail extends CreateAssistantState {
  final String? message;

  const CreateAssistantFail({this.message});
}
